Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030218
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 07. Sales managementmajoralways2015-05-26 10:042015-06-23 17:16
ReporteregoitzView Statuspublic 
Assigned Toaferraz 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionbcb08f11e7ee
ProjectionnoneETAnoneTarget Version3.0PR15Q2.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030218: UpdatePaymentPlan modulscript takes hours to finish updating from mp31 to PR15Q2

DescriptionUpdatePaymentPlan modulscript takes hours to finish updating from mp31 to PR15Q2
Steps To ReproduceExecute the update on an environment with big amout of data.

contact ECA for a copy of the environment.
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0030009 closedaferraz UpdatePaymentPlan modulscript takes hours to finish updating from mp31 to PR15Q2 

-  Notes
(0078444)
hgbot (developer)
2015-06-23 17:14

Repository: erp/backports/3.0PR15Q2.3
Changeset: bcb08f11e7eee059638fa8454c011d2babe8b686
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Jun 22 18:29:20 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q2.3/rev/bcb08f11e7eee059638fa8454c011d2babe8b686 [^]

Fixes issue 30218: Performance problems in UpdatePaymentPlan modulscript

UpdatePaymentPlan modulscript has been changed in order to improve the performance.
Now a select will be done to get wrong records, and then they will be updated inside a loop.

---
M src-util/modulescript/build/classes/org/openbravo/modulescript/UpdatePaymentPlan.class
M src-util/modulescript/build/classes/org/openbravo/modulescript/UpdatePaymentPlanData.class
M src-util/modulescript/src/org/openbravo/modulescript/UpdatePaymentPlan.java
M src-util/modulescript/src/org/openbravo/modulescript/UpdatePaymentPlan_data.xsql
---
(0078450)
vmromanos (developer)
2015-06-23 17:16

Code review + testing OK

- Issue History
Date Modified Username Field Change
2015-06-22 11:44 vmromanos Type defect => backport
2015-06-22 11:44 vmromanos Target Version => 3.0PR15Q2.3
2015-06-23 15:51 dmitry_mezentsev Tag Attached: Approved
2015-06-23 17:14 hgbot Checkin
2015-06-23 17:14 hgbot Note Added: 0078444
2015-06-23 17:14 hgbot Status scheduled => resolved
2015-06-23 17:14 hgbot Resolution open => fixed
2015-06-23 17:14 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q2.3/rev/bcb08f11e7eee059638fa8454c011d2babe8b686 [^]
2015-06-23 17:16 vmromanos Review Assigned To => vmromanos
2015-06-23 17:16 vmromanos Note Added: 0078450
2015-06-23 17:16 vmromanos Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker